%define ttfdir %_datadir/fonts/default/TrueType-kannada

Name: kannada-fonts-ttf
Version: 1.0
Release: alt5

Summary: Free Kannada TrueType font
Summary (ru_RU.UTF-8): TrueType шрифт для языка каннада
License: GPL
Group: System/Fonts/True type
Url: http://brahmi.sourceforge.net
Source: sampige.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath fontconfig

%description
This Package provides a free Kannada TrueType font.

%description -l ru_RU.UTF-8
В этом пакете находится TrueType шрифт для языка каннада (Индия).

%prep
%setup -q -n sampige

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%ttfdir/fonts.dir
cd $RPM_BUILD_ROOT%ttfdir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.0-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir

%changelog
* Mon Jul 11 2005 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt5
- link to encodings.dir removed, no longer requires freetype

* Thu Dec 16 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt4
- link to encodings.dir fixed

* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- %postun script fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Tue Dec 03 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
